# Trait io_lifetimes::raw::FromRawFilelike

source · [−]

    pub trait FromRawFilelike: FromRawFd {
        unsafe fn from_raw_filelike(raw: RawFilelike) -> Self;
    }

Expand description

This is a portability abstraction over Unix-like `FromRawFd` and Windows’ `FromRawHandle`.

## Required Methods

source

#### unsafe fn from_raw_filelike(raw: RawFilelike) -> Self

Constructs `Self` from the raw value.

##### Safety

This is `unsafe` for the same reason as `from_raw_fd` and `from_raw_handle`.

## Implementors

source

### impl<T: FromRawFd> FromRawFilelike for T